body {
    overflow: hidden;
}

/* .card:hover {
    cursor: pointer;
} */

.error-border {
	border: 1px solid red !important; /* Error border color */
}

.modal.blur {
    opacity: 2;
    z-index: 1040;
}

.font-7pt {
    font-size: 7pt;
}

.font-8pt {
    font-size: 8pt;
}

.font-9pt {
    font-size: 9pt;
}

.font-10pt {
    font-size: 10pt;
}

.font-11pt {
    font-size: 11pt;
}

.font-12pt {
    font-size: 12pt;
}

.reduce-padding {
    padding-left: 10px;
    padding-right: 10px;
}
.reduce-padding-left {
    padding-left: 2px;
}

.reduce-padding-right {
    padding-right: 2px;
}

.reduce-margin-medium {
    margin-bottom: 6px;
}

.reduce-padding-small {
    padding-left: 2px;
    padding-right: 2px;
}

.reduce-padding-left-md {
    padding-left: 20px;
}

.reduce-padding-right-md {
    padding-right: 20px;
}

.reduce-margin-bottom {
    margin-bottom: 1px;
}

.reduce-margin-bottom-0 {
    margin-bottom: 0px;
}

.reduce-margin-top-bottom {
    margin-top: 1px !important;
    margin-bottom: 1px !important;
    padding-top: 3px !important;
    padding-bottom: 3px !important;
}

.reduce-padding-sm {
    padding-top: 1px !important;
    padding-bottom: 1px !important;
}

.truncated-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.label-right {
    text-align:right;
}

.unselectable {
    user-select: none;
}

.color-legend-open {
    width: 20px;
    height: 20px;
    background-color: #44cf9c;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.color-legend-close {
    width: 20px;
    height: 20px;
    background-color: #c0c0c0;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.color-legend-upcoming {
    width: 20px;
    height: 20px;
    background-color: #9370db;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.color-upcoming {
    background-color: #9370db;
}

.color-legend-archived {
    width: 20px;
    height: 20px;
    background-color: #808080;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.color-archived {
    background-color: #808080
}

.color-legend-cancelled {
    width: 20px;
    height: 20px;
    background-color: #ff0000;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.color-cancelled {
    background-color: #ff0000;
}

.color-legend-div {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    border: 1px solid #ccc;
}

.legend-label {
    font-weight: bold;
    color: #333;
}

/* Extra small devices (portrait phones, less than 576px) */
 @media screen and (max-width: 575.98px) {
    .card-reduce-margin {
        margin-bottom: 3px;
        margin-left: 3px;
        margin-right: 3px;
    }

    .card-body-reduce-padding {
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .card-body-reduce-padding-small {
        padding-top: 0px;
        padding-bottom: 0px;
        padding-left: 5px;
        padding-right: 5px;
    }

    .height-modal-body {
        max-height: 55vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-body-sm {
        max-height: 67vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-content-scan {
        height: 85vh !important;
    }

    .height-modal-body-scan {
        max-height: 75vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .tab-content-height {
        height: 60vh;
    }

    .detail-height {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-md {
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-sm {
        max-height: 36vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    #participant_list, #participant_list_preview {
        max-height: 45vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .entry-height {
        height: 60vh;
    }

    .legend-div{
        display: block;
        margin-top: 15px;
    }

    .color-legend-box {
        display: flex;
        align-items: center;
        padding: 2px;
        width: 100%;
    }

    .profile-label {
        text-align: left;
    }

    .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
        color: #fff;
        background-color: #00a2b7 !important;
    }
}

/* Small devices (landscape phones, 576px and up) */
 @media screen and (min-width: 576px) and (max-width: 767.98px) {
    .card-reduce-margin {
        margin-bottom: 3px;
        margin-left: 3px;
        margin-right: 3px;
    }

    .card-body-reduce-padding {
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .card-body-reduce-padding-small {
        padding-top: 0px;
        padding-bottom: 0px;
        padding-left: 5px;
        padding-right: 5px;
    }

    .height-modal-body {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-body-sm {
        max-height: 67vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-content-scan {
        height: 85vh !important;
    }

    .height-modal-body-scan {
        max-height: 75vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .tab-content-height {
        height: 60vh;
    }

    .detail-height {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-md {
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-sm {
        max-height: 36vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    #participant_list, #participant_list_preview {
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .entry-height {
        height: 60vh;
    }

    .legend-div{
        display: block;
        margin-top: 15px;
    }

    .color-legend-box {
        display: flex;
        align-items: center;
        padding: 2px;
        width: 100%;
    }

    .profile-label {
        text-align: left;
    }
}

/* Medium devices (tablets, 768px and up) */
 @media screen and (min-width: 768px) and (max-width: 991.98px) {
    .card-reduce-margin {
        margin-bottom: 10px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .card-body-reduce-padding {
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .card-body-reduce-padding-small {
        padding-top: 0px;
        padding-bottom: 0px;
        padding-left: 5px;
        padding-right: 5px;
    }

    .reduce-font {
        font-size: 8pt !important;
    }

    .height-modal-body {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-body-sm {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-content-scan {
        height: 70vh !important;
    }

    .height-modal-body-scan {
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .tab-content-height {
        height: 70vh;
    }

    .detail-height {
        max-height: 55vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-md {
        max-height: 45vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-sm {
        max-height: 38vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    #participant_list, #participant_list_preview {
        max-height: 55vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .entry-height {
        height: 60vh;
    }

    .legend-div{
        display: flex;
        justify-content: center;
        height: 7vh;
    }

    .color-legend-box {
        display: flex;
        align-items: center;
        padding: 10px;
        width: 250px;
        height: 100px;
    }

    .profile-label {
        text-align: right;
    }
}

/* Large devices (desktops, 992px and up) */
 @media screen and (min-width: 992px) {
    .card-reduce-margin {
        margin-bottom: 10px;
        margin-left: 5px;
        margin-right: 5px;
    }

    .card-body-reduce-padding {
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .card-body-reduce-padding-small {
        padding-top: 0px;
        padding-bottom: 0px;
        padding-left: 5px;
        padding-right: 5px;
    }
    
    .reduce-font {
        font-size: 11pt !important;
    }

    .height-modal-body {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-body-sm {
        max-height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .height-modal-content-scan {
        height: 70vh !important;
    }

    .height-modal-body-scan {
        max-height: 50vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .tab-content-height {
        height: 70vh;
    }

    .detail-height {
        max-height: 55vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-md {
        max-height: 45vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .detail-height-sm {
        max-height: 38vh;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .entry-height {
        height: 60vh;
    }

    .legend-div{
        display: flex;
        justify-content: center;
        height: 7vh;
    }

    .color-legend-box {
        display: flex;
        align-items: center;
        padding: 10px;
        width: 250px;
        height: 100px;
    }

    .profile-label {
        text-align: right;
    }

    .disabled-input {
        background-color: #eee;
        pointer-events: none;
    }
}